Groovy 1.7.0

## groovy.swing.factory
Class BindProxyFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BindProxyFactory

    class BindProxyFactory
    extends AbstractFactory

author:
  Danno Ferrin

version:
  $Revision: 12574 $

since:
  Groovy 1.1

Constructor Summary
`BindProxyFactory()`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### BindProxyFactory

    BindProxyFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

Copyright © 2003-2009 The Codehaus. All rights reserved.